summaryrefslogtreecommitdiff
path: root/meta/packages/busybox/files
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:14:24 +0100
committerRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:29:45 +0100
commit29d6678fd546377459ef75cf54abeef5b969b5cf (patch)
tree8edd65790e37a00d01c3f203f773fe4b5012db18 /meta/packages/busybox/files
parentda49de6885ee1bc424e70bc02f21f6ab920efb55 (diff)
downloadopenembedded-core-29d6678fd546377459ef75cf54abeef5b969b5cf.tar.gz
openembedded-core-29d6678fd546377459ef75cf54abeef5b969b5cf.tar.bz2
openembedded-core-29d6678fd546377459ef75cf54abeef5b969b5cf.tar.xz
openembedded-core-29d6678fd546377459ef75cf54abeef5b969b5cf.zip
Major layout change to the packages directory
Having one monolithic packages directory makes it hard to find things and is generally overwhelming. This commit splits it into several logical sections roughly based on function, recipes.txt gives more information about the classifications used. The opportunity is also used to switch from "packages" to "recipes" as used in OpenEmbedded as the term "packages" can be confusing to people and has many different meanings. Not all recipes have been classified yet, this is just a first pass at separating things out. Some packages are moved to meta-extras as they're no longer actively used or maintained. Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'meta/packages/busybox/files')
-rwxr-xr-xmeta/packages/busybox/files/busybox-cron39
-rwxr-xr-xmeta/packages/busybox/files/busybox-httpd44
-rwxr-xr-xmeta/packages/busybox/files/busybox-udhcpd43
-rw-r--r--meta/packages/busybox/files/default.script4
-rw-r--r--meta/packages/busybox/files/find-touchscreen.sh9
-rw-r--r--meta/packages/busybox/files/hwclock.sh82
-rwxr-xr-xmeta/packages/busybox/files/mount.busybox3
-rw-r--r--meta/packages/busybox/files/simple.script72
-rw-r--r--meta/packages/busybox/files/syslog74
-rw-r--r--meta/packages/busybox/files/syslog.conf9
-rwxr-xr-xmeta/packages/busybox/files/umount.busybox3
11 files changed, 0 insertions, 382 deletions
diff --git a/meta/packages/busybox/files/busybox-cron b/meta/packages/busybox/files/busybox-cron
deleted file mode 100755
index f0e6b1562..000000000
--- a/meta/packages/busybox/files/busybox-cron
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/sh
-DAEMON=/usr/sbin/crond
-NAME=crond
-DESC="Busybox Periodic Command Scheduler"
-ARGS="-c /etc/cron/crontabs"
-
-test -f $DAEMON || exit 0
-
-set -e
-
-case "$1" in
- start)
- echo -n "starting $DESC: $NAME... "
- start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
- echo "done."
- ;;
- stop)
- echo -n "stopping $DESC: $NAME... "
- start-stop-daemon -K -n $NAME
- echo "done."
- ;;
- restart)
- echo -n "restarting $DESC: $NAME... "
- $0 stop
- $0 start
- echo "done."
- ;;
- reload)
- echo -n "reloading $DESC: $NAME... "
- killall -HUP $(basename ${DAEMON})
- echo "done."
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|reload}"
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/meta/packages/busybox/files/busybox-httpd b/meta/packages/busybox/files/busybox-httpd
deleted file mode 100755
index c8348e54a..000000000
--- a/meta/packages/busybox/files/busybox-httpd
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/sh
-DAEMON=/usr/sbin/httpd
-NAME=httpd
-DESC="Busybox HTTP Daemon"
-HTTPROOT="/srv/www"
-ARGS="-h $HTTPROOT"
-
-test -f $DAEMON || exit 0
-
-set -e
-
-case "$1" in
- start)
- echo -n "starting $DESC: $NAME... "
- if [ ! -d $HTTPROOT ]; then
- echo "$HTTPROOT is missing."
- exit 1
- fi
- start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
- echo "done."
- ;;
- stop)
- echo -n "stopping $DESC: $NAME... "
- start-stop-daemon -K -n $NAME
- echo "done."
- ;;
- restart)
- echo "restarting $DESC: $NAME... "
- $0 stop
- $0 start
- echo "done."
- ;;
- reload)
- echo -n "reloading $DESC: $NAME... "
- killall -HUP $(basename ${DAEMON})
- echo "done."
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|reload}"
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/meta/packages/busybox/files/busybox-udhcpd b/meta/packages/busybox/files/busybox-udhcpd
deleted file mode 100755
index c43903e8d..000000000
--- a/meta/packages/busybox/files/busybox-udhcpd
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-DAEMON=/usr/sbin/udhcpd
-NAME=udhcpd
-DESC="Busybox UDHCP Server"
-ARGS="/etc/udhcpd.conf"
-
-test -f $DAEMON || exit 1
-
-set -e
-
-case "$1" in
- start)
- echo -n "starting $DESC: $NAME... "
- if [ ! -f /etc/udhcpd.conf ]; then
- echo "error: /etc/udhcpd.conf is missing."
- exit 1
- fi
- /sbin/start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
- echo "done."
- ;;
- stop)
- echo -n "stopping $DESC: $NAME... "
- /sbin/start-stop-daemon -K -n $NAME
- echo "done."
- ;;
- restart)
- echo "restarting $DESC: $NAME... "
- $0 stop
- $0 start
- echo "done."
- ;;
- reload)
- echo -n "reloading $DESC: $NAME... "
- killall -HUP $(basename ${DAEMON})
- echo "done."
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|reload}"
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/meta/packages/busybox/files/default.script b/meta/packages/busybox/files/default.script
deleted file mode 100644
index f2ac987a2..000000000
--- a/meta/packages/busybox/files/default.script
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-
-exec run-parts -a "$1" /etc/udhcpc.d
-
diff --git a/meta/packages/busybox/files/find-touchscreen.sh b/meta/packages/busybox/files/find-touchscreen.sh
deleted file mode 100644
index 1582ea891..000000000
--- a/meta/packages/busybox/files/find-touchscreen.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-
-if [ `egrep "input:.*-e0.*,3,.*a0,1,.*18,.*" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
- ln -sf /dev/input/$MDEV /dev/input/touchscreen0
-fi
-
-if [ `egrep "ads7846" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
- ln -sf /dev/input/$MDEV /dev/input/touchscreen0
-fi
diff --git a/meta/packages/busybox/files/hwclock.sh b/meta/packages/busybox/files/hwclock.sh
deleted file mode 100644
index 2e50425ba..000000000
--- a/meta/packages/busybox/files/hwclock.sh
+++ /dev/null
@@ -1,82 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides: hwclock
-# Required-Start:
-# Required-Stop: $local_fs
-# Default-Start: S
-# Default-Stop: 0 6
-# Short-Description: Set system clock
-# Description: Set system clock to hardware clock, according to the UTC
-# setting in /etc/default/rcS (see also rcS(5)).
-### END INIT INFO
-#
-# WARNING: If your hardware clock is not in UTC/GMT, this script
-# must know the local time zone. This information is
-# stored in /etc/localtime. This might be a problem if
-# your /etc/localtime is a symlink to something in
-# /usr/share/zoneinfo AND /usr isn't in the root
-# partition! The workaround is to define TZ either
-# in /etc/default/rcS, or in the proper place below.
-
-[ ! -x /sbin/hwclock ] && exit 0
-
-. /etc/default/rcS
-
-case "$1" in
- start)
- if [ "$VERBOSE" != no ]
- then
- echo "System time was `date`."
- echo "Setting the System Clock using the Hardware Clock as reference..."
- fi
-
- if [ "$HWCLOCKACCESS" != no ]
- then
- if [ -z "$TZ" ]
- then
- hwclock --hctosys
- else
- TZ="$TZ" hwclock --hctosys
- fi
- fi
-
- if [ "$VERBOSE" != no ]
- then
- echo "System Clock set. System local time is now `date`."
- fi
- ;;
- stop|restart|reload|force-reload)
- #
- # Updates the Hardware Clock with the System Clock time.
- # This will *override* any changes made to the Hardware Clock.
- #
- # WARNING: If you disable this, any changes to the system
- # clock will not be carried across reboots.
- #
- if [ "$VERBOSE" != no ]
- then
- echo "Saving the System Clock time to the Hardware Clock..."
- fi
- if [ "$HWCLOCKACCESS" != no ]
- then
- hwclock --systohc
- fi
- if [ "$VERBOSE" != no ]
- then
- echo "Hardware Clock updated to `date`."
- fi
- exit 0
- ;;
- show)
- if [ "$HWCLOCKACCESS" != no ]
- then
- hwclock --show
- fi
- ;;
- *)
- echo "Usage: hwclock.sh {start|stop|show|reload|restart}" >&2
- echo " start sets kernel (system) clock from hardware (RTC) clock" >&2
- echo " stop and reload set hardware (RTC) clock from kernel (system) clock" >&2
- exit 1
- ;;
-esac
diff --git a/meta/packages/busybox/files/mount.busybox b/meta/packages/busybox/files/mount.busybox
deleted file mode 100755
index fef945b7b..000000000
--- a/meta/packages/busybox/files/mount.busybox
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-exec /bin/busybox mount $@
diff --git a/meta/packages/busybox/files/simple.script b/meta/packages/busybox/files/simple.script
deleted file mode 100644
index 5cc21b9de..000000000
--- a/meta/packages/busybox/files/simple.script
+++ /dev/null
@@ -1,72 +0,0 @@
-#!/bin/sh
-
-# udhcpc script edited by Tim Riker <Tim@Rikers.org>
-
-[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
-
-RESOLV_CONF="/etc/resolv.conf"
-[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
-[ -n "$subnet" ] && NETMASK="netmask $subnet"
-
-# return 0 if root is mounted on a network filesystem
-root_is_nfs() {
- grep -qe '^/dev/root.*\(nfs\|smbfs\|ncp\|coda\) .*' /proc/mounts
-}
-
-have_bin_ip=0
-if [ -x /bin/ip ]; then
- have_bin_ip=1
-fi
-
-case "$1" in
- deconfig)
- if ! root_is_nfs ; then
- if [ $have_bin_ip -eq 1 ]; then
- ip addr flush dev $interface
- ip link set dev $interface up
- else
- /sbin/ifconfig $interface 0.0.0.0
- fi
- fi
- ;;
-
- renew|bound)
- if [ $have_bin_ip -eq 1 ]; then
- ip addr add dev $interface local $ip/$mask $BROADCAST
- else
- /sbin/ifconfig $interface $ip $BROADCAST $NETMASK
- fi
-
- if [ -n "$router" ] ; then
- if ! root_is_nfs ; then
- if [ $have_bin_ip -eq 1 ]; then
- while ip route del default 2>/dev/null ; do
- :
- done
- else
- while route del default gw 0.0.0.0 dev $interface 2>/dev/null ; do
- :
- done
- fi
- fi
-
- metric=0
- for i in $router ; do
- if [ $have_bin_ip -eq 1 ]; then
- ip route add default via $i metric $((metric++))
- else
- route add default gw $i dev $interface metric $((metric++)) 2>/dev/null
- fi
- done
- fi
-
- echo -n > $RESOLV_CONF
- [ -n "$domain" ] && echo search $domain >> $RESOLV_CONF
- for i in $dns ; do
- echo adding dns $i
- echo nameserver $i >> $RESOLV_CONF
- done
- ;;
-esac
-
-exit 0
diff --git a/meta/packages/busybox/files/syslog b/meta/packages/busybox/files/syslog
deleted file mode 100644
index 9edaa1505..000000000
--- a/meta/packages/busybox/files/syslog
+++ /dev/null
@@ -1,74 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides: sysklogd
-# Required-Start: $remote_fs $time
-# Required-Stop: $remote_fs $time
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: System logger
-### END INIT INFO
-
-set -e
-
-if [ -f /etc/syslog.conf ]; then
- . /etc/syslog.conf
- LOG_LOCAL=0
- LOG_REMOTE=0
- for D in $DESTINATION; do
- if [ "$D" = "buffer" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -C$BUFFERSIZE"
- LOG_LOCAL=1
- elif [ "$D" = "file" ]; then
- if [ -n "$LOGFILE" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -O $LOGFILE"
- fi
- if [ -n "$ROTATESIZE" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -s $ROTATESIZE"
- fi
- if [ -n "$ROTATEGENS" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -b $ROTATEGENS"
- fi
- LOCAL=0
- elif [ "$D" = "remote" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -R $REMOTE"
- LOG_REMOTE=1
- fi
- done
- if [ "$LOG_LOCAL" = "1" -a "$LOG_REMOTE" = "1" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -L"
- fi
- if [ -n "$MARKINT" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -m $MARKINT"
- fi
- if [ "$REDUCE" = "yes" ]; then
- SYSLOG_ARGS="$SYSLOG_ARGS -S"
- fi
-else
- # default: log to 16K shm circular buffer
- SYSLOG_ARGS="-C"
-fi
-
-case "$1" in
- start)
- echo -n "Starting syslogd/klogd: "
- start-stop-daemon -S -b -n syslogd -a /sbin/syslogd -- -n $SYSLOG_ARGS
- start-stop-daemon -S -b -n klogd -a /sbin/klogd -- -n
- echo "done"
- ;;
- stop)
- echo -n "Stopping syslogd/klogd: "
- start-stop-daemon -K -n syslogd
- start-stop-daemon -K -n klogd
- echo "done"
- ;;
- restart)
- $0 stop
- $0 start
- ;;
- *)
- echo "Usage: syslog { start | stop | restart }" >&2
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/meta/packages/busybox/files/syslog.conf b/meta/packages/busybox/files/syslog.conf
deleted file mode 100644
index d4a0e02f5..000000000
--- a/meta/packages/busybox/files/syslog.conf
+++ /dev/null
@@ -1,9 +0,0 @@
-DESTINATION="buffer" # log destinations (buffer file remote)
-MARKINT=20 # intervall between --mark-- entries
-LOGFILE=/var/log/messages # where to log (file)
-REMOTE=loghost:514 # where to log (syslog remote)
-REDUCE=no # reduce-size logging
-#ROTATESIZE=0 # rotate log if grown beyond X [kByte] (incompatible with busybox)
-#ROTATEGENS=3 # keep X generations of rotated logs (incompatible with busybox)
-BUFFERSIZE=64 # size of circular buffer [kByte]
-FOREGROUND=no # run in foreground (don't use!)
diff --git a/meta/packages/busybox/files/umount.busybox b/meta/packages/busybox/files/umount.busybox
deleted file mode 100755
index f3731626e..000000000
--- a/meta/packages/busybox/files/umount.busybox
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-exec /bin/busybox umount $@